package org.jcg.zheng;

import static org.junit.Assert.assertEquals;

import java.io.IOException;
import java.nio.charset.Charset;
import java.nio.file.Files;
import java.nio.file.Path;

import org.junit.Test;

public class FilesTest {

    @Test
    public void writeString_readString() {
        try {
            Path localFile = Path.of("C:\\MaryZheng\\Temp\\test.txt");
            String sampleString = "Some example of text";
            Files.writeString(localFile, sampleString);

            String readData = Files.readString(localFile);
            assertEquals(sampleString, readData);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Test
    public void writeString_readString_utf8() {
        try {
            String sampleString = "Some example of text";
            Files.writeString(Path.of("test.txt"), sampleString, Charset.forName("UTF-8"));

            String readData = Files.readString(Path.of("test.txt"));
            assertEquals(sampleString, readData);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
